corelinux::Command Class Reference

Command captures the semantics of allowing commands to be added as a reverse command type. More...

`#include <Command.hpp>`

## Public Member Functions

| Command (void)
| Default Constructor.
| Command (CommandCref)
| Copy constructor.
| Command (AbstractCommandPtr)
| Constructor with reverse command.
virtual | ~Command (void)
| Virtual Destructor.
CommandRef | operator= (CommandCref)
| Assignment operator.
bool | operator== (CommandCref) const
| Equality operator.
virtual AbstractCommandPtr | getReverseCommand (void) const
| Retrieves the reverse command. More...
virtual void | setReverseCommand (AbstractCommandPtr)
| Sets the reverse command pointer to be used by the executeReverse call. More...
virtual void | executeReverse (void)
| If theReverseCommand is not null, call its execute method.
Public Member Functions inherited from corelinux::AbstractCommand
| AbstractCommand (void)
| Default Constructor.
| AbstractCommand (AbstractCommandCref)
| Copy constructor.
virtual | ~AbstractCommand (void)
| Virtual Destructor.
AbstractCommandRef | operator= (AbstractCommandCref)
| Assignment operator.
bool | operator== (AbstractCommandCref) const
| Equality operator.
virtual void | execute (void)=0
| Execute the command.
Public Member Functions inherited from corelinux::Synchronized
| Synchronized (void)
| Default constructor.
| Synchronized (SynchronizedCref)
| Copy constructor.
virtual | ~Synchronized (void)
| Virtual Destructor.
SynchronizedRef | operator= (SynchronizedCref)
| Assignment operator.
bool | operator== (SynchronizedCref) const
| Equality operator.

## Protected Attributes

AbstractCommandPtr | theReverseCommand
| The infamous reverse command.

## Additional Inherited Members

Protected Types inherited from corelinux::Synchronized
typedef Guard * | GuardPtr
typedef const Guard * | GuardCptr
typedef Guard & | GuardRef
typedef const Guard & | GuardCref
Protected Member Functions inherited from corelinux::Synchronized
Guard | access (void) const throw (SemaphoreException)
| Access returns a instance of Guard which is block scoped to the caller. More...

## Detailed Description

Command captures the semantics of allowing commands to be added as a reverse command type.

It adds the reverse execution interface along with the storage for the AbstractCommand that is considered the reverse.

## Member Function Documentation

AbstractCommandPtr corelinux::Command::getReverseCommand | ( | void |  | ) | const

virtual

Retrieves the reverse command.

Returns
  AbstractCommand pointer or NULLPTR

References theReverseCommand.

void corelinux::Command::setReverseCommand | ( | AbstractCommandPtr | aReverseCommand | ) |

virtual

Sets the reverse command pointer to be used by the executeReverse call.

Parameters

  AbstractCommand | pointer to valid command or NULLPTR

References theReverseCommand.

The documentation for this class was generated from the following files:

- Command.hpp
- Command.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium